export declare const Constants: {
    AMPLIFY_CATEGORY_MAPPING_FILE: string;
    AMPLIFY_BUILDS: string;
    STACK_PARAMETERS: {
        FUNCTION: {
            DEPLOYMENT_BUCKET_NAME: string;
            S3_KEY: string;
        };
        API: {
            DEPLOYMENT_BUCKET_NAME: string;
            DEPLOYMENT_ROOT_KEY: string;
            PARAM_ZIP_PATH: string;
        };
    };
    PARAMETERS_DEPLOYMENT_BUCKET_NAME: string;
    PARAMTERS_AUTH_VERIFICATION_BUCKET_NAME: string;
    AMPLIFY_EXPORT_MANIFEST_FILE: string;
    AMPLIFY_EXPORT_TAG_FILE: string;
    CATEGORIES: string;
    S3_BUCKET: string;
    AMPLIFY_CFN_TEMPLATES: string;
    EXPOSED_CONTAINER: string;
    PARAMETERS_JSON_FILE: string;
    CFN_TEMPLATE_GLOB_PATTERN: string;
    PROVIDER_METADATA: string;
    NETWORK_STACK_S3_URL: string;
    NETWORK_STACK_FILENAME: string;
    NETWORK_STACK_LOGICAL_ID: string;
    API_GATEWAY_AUTH_URL: string;
    AUTH_TRIGGER_TEMPLATE_FILE: string;
    AUTH_TRIGGER_TEMPLATE_URL: string;
    AUTH_TRIGGER_STACK: string;
    APIGW_AUTH_STACK_LOGICAL_ID: string;
    APIGW_AUTH_STACK_FILE_NAME: string;
    AWS_CLOUDFORMATION_STACK_TYPE: string;
    EXPORT_DEPLOYMENT_BUCKET_NAME: string;
    AMPLIFY_AUXILIARY_LAMBDAS: string;
    APPSYNC_BUILD_FOLDER: string;
    APPSYNC_STACK_FOLDER: string;
    AUTH_ASSETS: string;
    AMPLIFY_AUTH_ASSETS: string;
    AMPLIFY_APPSYNC_FILES: string;
    API_CATEGORY: {
        NAME: string;
        SERVICE: {
            APP_SYNC: string;
            ELASTIC_CONTAINER: string;
            API_GATEWAY: string;
        };
    };
    HOSTING_CATEGORY: {
        NAME: string;
        SERVICE: {
            ELASTIC_CONTAINER: string;
        };
    };
    FUNCTION_CATEGORY: {
        NAME: string;
        SERVICE: {
            LAMBDA_FUNCTION: string;
            LAMBDA_LAYER: string;
        };
    };
    AUTH_CATEGORY: {
        NAME: string;
        SERVICE: {
            COGNITO: string;
        };
    };
    INTERACTIONS_CATEGORY: {
        NAME: string;
        SERVICE: {
            LEX: string;
        };
    };
};
