import { CfnInclude, IncludedNestedStack } from '@aws-cdk/cloudformation-include';
import { NestedStack } from '@aws-cdk/core';
export declare class CfnResourceNotFoundError extends Error {
    constructor(logicalId: string, type: string);
}
/**
 * @internal
 */
export declare class BaseIncludedStack {
    /**
     * @stability stable
     */
    includedTemplate: CfnInclude;
    /**
     * @stability stable
     */
    stack: NestedStack;
    /**
     * @stability stable
     */
    constructor(includedStack: IncludedNestedStack);
    /**
     * @stability stable
     */
    getResourceConstruct<T>(logicalId: string): T;
}
