import { BucketDeployment } from '@aws-cdk/aws-s3-deployment';
/**
 * @stability stable
 */
export interface CategoryStackMapping {
    /**
     * @stability stable
     */
    readonly category: string;
    /**
     * @stability stable
     */
    readonly resourceName: string;
    /**
     * @stability stable
     */
    readonly service: string;
}
export declare type CategoryStackMappingWithDeployment = CategoryStackMapping & {
    bucketDeployment?: BucketDeployment;
};
